Bug 121538 - choosing additional formatting in dialog insert fields cause crash (gen/gtk)
Summary: choosing additional formatting in dialog insert fields cause crash (gen/gtk)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-11-20 07:52 UTC by Xavier Van Wijmeersch
Modified: 2018-11-21 11:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xavier Van Wijmeersch 2018-11-20 07:52:49 UTC
Description:
When i want insert a exp date with additional formatting in footer LO is crashing
No crash report is send and the insert field dialog is still on top off writer when reopen the document.
When LO reopen the insert dialog should be closed

Steps to Reproduce:
1.open writer
2.enable footer
3.go to insert field
4 in tab document type exp date, then select date
5 choose additional formats
6 crash and no report is send


Actual Results:
when reopen writer the insert field dialog stay's at top off writer, it is not closed after reopening writer

Expected Results:
the insert field should be closed after the crash


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 6.2.0.0.beta1+
Build ID: 268364e35100b559f42d8c02b930c5cca1c84be7
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Version: 6.3.0.0.alpha0+
Build ID: 8a02a1d329c43df6de383a7b0cf8ac14247b18c9
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-17_20:48:16
Locale: nl-BE (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Version: 6.3.0.0.alpha0+
Build ID: 37455f8f0109ac838e2dde64118d7eb736958526
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2018-11-20 09:07:56 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=a977098f59a4c931c6f8a1d423720e682f5ed047

author	Caolán McNamara <caolanm@redhat.com>	2018-11-05 15:08:47 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2018-11-07 22:01:20 +0100
commit	a977098f59a4c931c6f8a1d423720e682f5ed047 (patch)
tree	d865c854cc2e6c0151b0b4aea4b7865cc1822585
parent	6311f7ffce8f64b0773d2ad3ea7be3be683924c0 (diff)
map GtkTreeView to SvTreeViewBox now it is in vcl

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2018-11-20 11:53:30 UTC
index 1 there never existed, so happy enough that an underlying oddness now showing as a crash
Comment 3 Commit Notification 2018-11-20 15:29:53 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c03a70770e667290e3766e639300c7ecef5eea1f%5E%21

tdf#121538 index 1 never existed

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-11-20 17:30:20 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/79422c4378d3d504f191f3959edbc798ef1e332a%5E%21

tdf#121538 index 1 never existed

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xavier Van Wijmeersch 2018-11-20 23:03:31 UTC
verified and its working

Version: 6.3.0.0.alpha0+
Build ID: 6a65455788483886db2060a4cbdea3f84bed4174
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 6 Xavier Van Wijmeersch 2018-11-21 07:04:05 UTC
thanks its working with this to

Version: 6.2.0.0.beta1+
Build ID: 7913a9e9714692b1662910d33a14dfa875ceaf34
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 7 Xisco Faulí 2018-11-21 11:56:08 UTC Comment hidden (obsolete)